Bug 72730 - Web Inspector: add integration test for compiler source maps.
: Web Inspector: add integration test for compiler source maps.
Status: RESOLVED FIXED
: WebKit
Web Inspector (Deprecated)
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
: 73032
: 72824
  Show dependency treegraph
 
Reported: 2011-11-18 07:34 PST by
Modified: 2011-11-24 01:11 PST (History)


Attachments
Patch (12.61 KB, patch)
2011-11-18 07:37 PST, Pavel Podivilov
no flags Review Patch | Details | Formatted Diff | Diff
Patch (15.71 KB, patch)
2011-11-18 08:29 PST, Pavel Podivilov
pfeldman: review+
webkit.review.bot: commit‑queue-
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-11-18 07:34:47 PST
Web Inspector: add integration test for compiler source maps.
------- Comment #1 From 2011-11-18 07:37:09 PST -------
Created an attachment (id=115806) [details]
Patch
------- Comment #2 From 2011-11-18 08:06:32 PST -------
(From update of attachment 115806 [details])
Attachment 115806 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10393163

New failing tests:
http/tests/inspector/compiler-source-mapping-debug.html
------- Comment #3 From 2011-11-18 08:29:51 PST -------
Created an attachment (id=115817) [details]
Patch
------- Comment #4 From 2011-11-18 09:01:15 PST -------
(From update of attachment 115817 [details])
Attachment 115817 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10518133

New failing tests:
http/tests/inspector/compiler-source-mapping-debug.html
------- Comment #5 From 2011-11-21 01:23:30 PST -------
(From update of attachment 115817 [details])
Make sure it compiles under chromium prior to landing.
------- Comment #6 From 2011-11-23 05:11:19 PST -------
Committed r101069: <http://trac.webkit.org/changeset/101069>
------- Comment #7 From 2011-11-23 10:53:22 PST -------
(In reply to comment #4)
> (From update of attachment 115817 [details] [details])
> Attachment 115817 [details] [details] did not pass chromium-ews (chromium-xvfb):
> Output: http://queues.webkit.org/results/10518133
> 
> New failing tests:
> http/tests/inspector/compiler-source-mapping-debug.html

As predicted by the EWS, this new test is always timing out on the bots:

http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=http%2Ftests%2Finspector%2Fcompiler-source-mapping-debug.html

I intend to roll this out, since the only point of this patch was to add a test.
------- Comment #8 From 2011-11-24 01:10:54 PST -------
Committed r101128: <http://trac.webkit.org/changeset/101128>
------- Comment #9 From 2011-11-24 01:11:27 PST -------
(In reply to comment #7)
> (In reply to comment #4)
> > (From update of attachment 115817 [details] [details] [details])
> > Attachment 115817 [details] [details] [details] did not pass chromium-ews (chromium-xvfb):
> > Output: http://queues.webkit.org/results/10518133
> > 
> > New failing tests:
> > http/tests/inspector/compiler-source-mapping-debug.html
> 
> As predicted by the EWS, this new test is always timing out on the bots:
> 
> http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=http%2Ftests%2Finspector%2Fcompiler-source-mapping-debug.html
> 
> I intend to roll this out, since the only point of this patch was to add a test.

Sorry and thanks for rolling it out!